import request from '@/utils/request'

// 查询演出列表
export function listPerform(query) {
  return request({
    url: '/system/perform/list',
    method: 'get',
    params: query
  })
}

// 查询演出列表
export function getAll() {
  return request({
    url: '/system/perform/all',
    method: 'get'
  })
}

// 查询演出详细
export function getPerform(id) {
  return request({
    url: '/system/perform/' + id,
    method: 'get'
  })
}

// 查询演出详细
export function getNormalPerform(id) {
  return request({
    url: '/system/perform/normal/' + id,
    method: 'get'
  })
}

// 新增演出
export function addPerform(data) {
  return request({
    url: '/system/perform',
    method: 'post',
    data: data
  })
}

// 修改演出
export function updatePerform(data) {
  return request({
    url: '/system/perform',
    method: 'put',
    data: data
  })
}

// 删除演出
export function delPerform(id) {
  return request({
    url: '/system/perform/' + id,
    method: 'delete'
  })
}
